$(document).ready(function () {
    // 최초 요청
    callDgnsListApiRequest();

    $('#prevBtn').click(function () {
        if (dgnsListService.setSearchOptionToPrev()) {
            callDgnsListApiRequest();
        } else {
            alert("이전페이지가 없습니다.");
        }
    })

    $('#nextBtn').click(function () {
        if(dgnsListService.setSearchOptionToNext()) {
            callDgnsListApiRequest();
        } else {
            alert("다음페이지가 없습니다.");
        }
    })

    // 서버로부터 진단 리스트 데이터를 받아옴
    function callDgnsListApiRequest() {
        dgnsListService.dgnsListApi({
            scb : function (res) {
                dgnsListService.drawDgnsList($("#dgnsTable"));
            },
            ecb : function (res) {
                alert(res.message);
            }
        });
    }
})
